OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_IsoAspect Class Reference

qualifies the aspect properties for
the VRML conversation of iso curves .

`#include <VrmlConverter_IsoAspect.hxx>`

Inheritance diagram for VrmlConverter_IsoAspect:

[legend]

## Public Member Functions
Standard_EXPORT | VrmlConverter_IsoAspect ()
| create a default IsoAspect. Default value: myNumber - 10.
Standard_EXPORT | VrmlConverter_IsoAspect (const Handle(Vrml_Material)&aMaterial, const Standard_Boolean OnOff, const Standard_Integer aNumber)
Standard_EXPORT void | SetNumber (const Standard_Integer aNumber)
Standard_EXPORT Standard_Integer | Number () const
| returns the number of U or V isoparametric curves drawn for a single face.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | myNumber

## Constructor & Destructor Documentation

Standard_EXPORT VrmlConverter_IsoAspect::VrmlConverter_IsoAspect | ( |  | ) |

Standard_EXPORT VrmlConverter_IsoAspect::VrmlConverter_IsoAspect | ( | const Handle(Vrml_Material)& | aMaterial,
|  | const Standard_Boolean | OnOff,
|  | const Standard_Integer | aNumber
| ) |

## Member Function Documentation

Standard_EXPORT const VrmlConverter_IsoAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from VrmlConverter_LineAspect.

Standard_EXPORT Standard_Integer VrmlConverter_IsoAspect::Number | ( |  | ) | const

Standard_EXPORT void VrmlConverter_IsoAspect::SetNumber | ( | const Standard_Integer | aNumber | ) |

## Field Documentation

Standard_Integer VrmlConverter_IsoAspect::myNumber`[private]`

The documentation for this class was generated from the following file:

- VrmlConverter_IsoAspect.hxx